=== check/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 		set(${thename}_sources ${thename}.cpp ${${thename}_extra_src})
 	endif()
 	add_executable(${thename} EXCLUDE_FROM_ALL ${${thename}_sources})
-	target_link_libraries(${thename} ginac)
+	target_link_libraries(${thename} ginac ${LIBDL_LIBRARIES})
 	add_dependencies(check ${thename})
 	add_test(NAME ${thename} COMMAND ${thename}${CMAKE_EXECUTABLE_SUFFIX})
 endmacro()
