=== doc/examples/CMakeLists.txt ===
add_info_file(ginac-examples)
