## ginac 1.7.4

=== check/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	exam_misc
 	exam_mod_gcd
 	exam_cra
+	exam_real_imag
 	bugme_chinrem_gcd
 	factor_univariate_bug
 	pgcd_relatively_prime_bug
