=== ginsh/CMakeLists.txt ===
--- 
+++ 
@@ -61,5 +61,5 @@
 endif()
 
 add_executable(ginsh ${ginsh_SOURCES} ${ginsh_HEADERS})
-target_link_libraries(ginsh ginac ${ginsh_extra_libs})
+target_link_libraries(ginsh ginac ${ginsh_extra_libs} ${LIBDL_LIBRARIES})
 install(TARGETS ginsh RUNTIME DESTINATION "${BIN_INSTALL_DIR}")
