## ginac 1.7.9

=== debian/changelog ===
ginac (1.7.9-1) unstable; urgency=low

  * New upstream release.
  * Re-debianize the package from scratch:
    + Bump debhelper compat to 12, but not debhelper depends to allow backports.
    + Replace debian/rules with simpler file, using dh.
    + Install in the multiarch libdir /usr/lib/<triplet>/, to allow for cross
      builds of reverse dependencies.

 -- Richard B. Kreckel <kreckel@debian.org>  Wed, 15 Apr 2020 22:01:32 +0100

ginac (1.7.8-2) unstable; urgency=low

  * Reduce dependencies of -dev package.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 09 Nov 2019 19:53:27 +0100

ginac (1.7.8-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 07 Oct 2019 22:32:35 +0200

ginac (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * Change build-depend to python3; closes: #936613.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 23 Sep 2019 20:57:13 +0200

ginac (1.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 26 Jul 2019 20:51:50 +0200

ginac (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 17 Feb 2019 15:32:27 +0100

ginac (1.7.4-2) unstable; urgency=low

  * Add build-depend on texinfo; closes: #906777.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 09 Sep 2018 11:56:16 +0200

ginac (1.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 19 Feb 2018 23:43:31 +0100

ginac (1.7.3-1) experimental; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Thu, 01 Feb 2018 20:05:15 +0100

ginac (1.7.2-2) unstable; urgency=low

  * Re-upload targeting testing.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 16 Jan 2017 23:15:41 +0100

ginac (1.7.2-1) experimental; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Tue, 10 Jan 2017 07:12:13 +0200

ginac (1.7.1-2) unstable; urgency=low

  * Replaced libreadline6-dev build dependency with libreadline-dev.

 -- Richard B. Kreckel <kreckel@debian.org>  Thu, 13 Oct 2016 21:54:43 +0200

ginac (1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 02 Oct 2016 14:21:12 +0200

ginac (1.7.0-2) unstable; urgency=low

  * Trigger recompilation with gcc-6 default; closes: #830532.

 -- Richard B. Kreckel <kreckel@debian.org>  Tue, 09 Aug 2016 21:58:47 +0100

ginac (1.7.0-1) unstable; urgency=low

  * New upstream release: binary incompatible, requires C++11,
    new soname versioning, so it's libginac6 now.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 25 Jun 2016 13:14:15 +0200

ginac (1.6.7-1) unstable; urgency=low

  * New upstream release.
  * Drop -dbg package, now that dbgsym package is built automatically.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 29 Feb 2016 15:49:53 +0100

ginac (1.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 01 Jan 2016 15:49:53 +0100

ginac (1.6.5-1) unstable; urgency=low

  * New upstream release.
  * Remove support for Debian menu system.

 -- Richard B. Kreckel <kreckel@debian.org>  Wed, 30 Sep 2015 23:42:21 +0200

ginac (1.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition. (Closes: #791048)

  [ Simon McVittie ]
  * Also update debian/rules so that libginac5v5-dbg is non-empty

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Sep 2015 07:56:10 +0100

ginac (1.6.4-1) unstable; urgency=low

  * New upstream release; binary incompatible, new soname versioning,
    so it's libginac5 now.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 08 May 2015 22:43:23 +0200

ginac (1.6.3-3) unstable; urgency=low

  * Add build-dependency on python.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 30 Nov 2014 10:16:49 +0100

ginac (1.6.3-2) unstable; urgency=low

  * Add build-dependency on dh-autoreconf.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 29 Nov 2014 21:55:14 +0100

ginac (1.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 28 Nov 2014 23:58:07 +0100

ginac (1.6.3~20140816-1) experimental; urgency=low

  * Upstream prerelease; binary incompatible, new soname versioning,
  * Use dh-autoreconf to fix FTBFS on ppc64el; closes: #733477.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 16 Aug 2014 20:32:43 +0200

ginac (1.6.2-1) unstable; urgency=low

  * New upstream (bugfix only) release.

 -- Richard Kreckel <kreckel@ginac.de>  Fri, 11 Nov 2011 11:11:11 +0200

ginac (1.6.1-1) unstable; urgency=low

  * New upstream (bugfix only) release.

 -- Richard Kreckel <kreckel@ginac.de>  Wed, 21 Jul 2011 21:55:28 +0200

ginac (1.6.0-1) unstable; urgency=low

  * New upstream release; binary incompatible, new soname versioning,
    so it's libginac2 now; closes: #479163.
  * Provide ginac-excompiler as part of ginac-tools; closes: #592674.
  * Get rid of unneeded libginac.la file; closes: #621302.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 24 May 2011 21:36:50 +0200

ginac (1.5.8-1) unstable; urgency=low

  * New upstream (bugfix only) release.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 06 Jul 2010 21:25:15 +0200

ginac (1.5.7-1) unstable; urgency=low

  * New upstream (bugfix only) release.
  * Removed -finline-limit=1200 from CXXFLAGS, as benchmarking did not
    demonstrate that this option makes a difference (at least ond amd64).

 -- Richard Kreckel <kreckel@ginac.de>  Mon, 29 Mar 2010 23:36:37 +0200

ginac (1.5.6-1) unstable; urgency=low

  * New upstream (bugfix only) release.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 31 Jan 2010 21:22:41 +0100

ginac (1.5.5-1) unstable; urgency=low

  * New upstream (bugfix only) release.

 -- Richard Kreckel <kreckel@ginac.de>  Wed,  4 Oct 2009 22:32:50 +0100

ginac (1.5.4-1) unstable; urgency=low


