=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/autoreconf.mk

#GINACLIB_VERSION := 6
#GINACLIB := libginac$(GINACLIB_VERSION)

#DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir='$${libdir}/ginac'

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_installdocs:
	dh_installdocs -- NEWS README AUTHORS
