## ginac 1.7.10

=== debian/changelog ===
ginac (1.7.10-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 28 Jun 2020 20:14:33 +0200
