=== debian/watch ===
version=3
http://www.ginac.de/Download.html ginac-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
