## ginac 1.7.11

=== check/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	check_inifcns
 	check_matrices
 	check_lsolve
-	check_mul_info
 	heur_gcd_bug
 	exam_paranoia
 	exam_heur_gcd
@@ -19,6 +18,7 @@
 	exam_inifcns_nstdsums
 	exam_differentiation
 	exam_polygcd
+	exam_collect_common_factors
 	exam_normalization
 	exam_factor
 	exam_pseries
@@ -34,7 +34,6 @@
 	exam_cra
 	exam_real_imag
 	bugme_chinrem_gcd
-	factor_univariate_bug
 	pgcd_relatively_prime_bug
 	pgcd_infinite_loop)
