=== debian/changelog ===
ginac (1.7.11-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 03 Aug 2020 20:46:53 +0200
