=== debian/control ===
Source: ginac
Section: math
Priority: optional
Maintainer: Richard Kreckel <kreckel@ginac.de>
Build-Depends: cdbs (>= 0.4.28), debhelper (>= 9), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, dh-autoreconf, python3, texinfo
Standards-Version: 4.5.0
Homepage: http://www.ginac.de/

Package: libginac6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ginac-tools
Description: GiNaC symbolic framework runtime library
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides the runtime library.

Package: libginac-dev
Architecture: any
Section: libdevel
Depends: libginac6 (= ${binary:Version}), ${misc:Depends}, libcln-dev
Recommends: info | info-browser
Suggests: ginac-tools
Description: GiNaC symbolic framework development files
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides header files, a static library plus a tutorial as info
 file.

Package: ginac-tools
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: doc-base
Description: GiNaC symbolic framework support tools
 GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is a
 library for doing symbolic (i.e. non-numeric) computation directly in the C++
 programming language.
 .
 This package provides some additional tools, like the popular ginsh (GiNaC
 interactive shell) and viewgar (for inspecting GiNaC archive files).
