=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	add_custom_target(${thename}_html DEPENDS ${${thename}_HTML})
 	add_dependencies(info ${thename}_info)
 	add_dependencies(html ${thename}_html)
-	install(FILES ${${thename}_INFO} DESTINATION "${SHARE_INSTALL_PREFIX}/info")
+	install(FILES ${${thename}_INFO} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/info")
 endmacro()
 
 macro(pdflatex_process texfile)
@@ -45,7 +45,7 @@
 	add_custom_command(
 		OUTPUT ${_ind}
 		COMMAND ${MAKEINDEX_COMPILER} ${_idx}
-		COMMAND python ${_fixupind} ${_idx}
+		COMMAND ${PYTHON} ${_fixupind} ${_idx}
 		WORKING_DIRECTORY ${_dirname}
 		DEPENDS ${texfile} ${_idx}
 		COMMENT "MAKEINDEX ${_basename}.idx")
