=== debian/changelog ===
ginac (1.8.0-2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python3 build dependency with :any. (Closes: #974105)

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 09 Nov 2020 23:47:12 +0100

ginac (1.8.0-1) unstable; urgency=low

  * New upstream release: binary incompatible, so it's libginac11 now.

 -- Richard B. Kreckel <kreckel@debian.org>  Thu, 15 Oct 2020 20:26:41 +0200
