=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
-Build-Depends: cdbs (>= 0.4.28), debhelper (>= 9), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, dh-autoreconf, python3, texinfo
+Build-Depends: cdbs (>= 0.4.28), debhelper (>= 9), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
 Standards-Version: 4.5.0
 Homepage: http://www.ginac.de/
 
-Package: libginac6
+Package: libginac11
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -21,7 +21,7 @@
 Package: libginac-dev
 Architecture: any
 Section: libdevel
-Depends: libginac6 (= ${binary:Version}), ${misc:Depends}, libcln-dev
+Depends: libginac11 (= ${binary:Version}), ${misc:Depends}, libcln-dev
 Recommends: info | info-browser
 Suggests: ginac-tools
 Description: GiNaC symbolic framework development files
