=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir='$${libdir}/ginac'

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_installdocs:
	dh_installdocs -- NEWS README AUTHORS
