## ginac 1.8.1

=== debian/changelog ===
ginac (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 15 Aug 2021 14:45:44 +0200
