## ginac 1.8.2

=== debian/changelog ===
ginac (1.8.2-3) unstable; urgency=low

  * Configure with --disable-rpath, so dependent packages don't get lintian
    error 'custom-library-search-path'.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 20 Feb 2022 20:43:32 +0100

ginac (1.8.2-2) unstable; urgency=low

  * Apply upstream fix for exam_inifcns_nstdsums to see if it fixes a recent
    FTBFS on mipsel.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 15 Jan 2022 10:06:47 +0100

ginac (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 01 Jan 2022 18:57:31 +0100
