=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
 Build-Depends: cdbs (>= 0.4.28), debhelper (>= 9), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: http://www.ginac.de/
 
 Package: libginac11
