=== debian/watch ===
version=3
https://www.ginac.de/Download.html ginac-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
