## ginac 1.8.3

=== debian/changelog ===
ginac (1.8.3-3) unstable; urgency=low

  * Make debian/not-installed portable to other archs, sigh.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 22 Apr 2022 19:09:53 +0200

ginac (1.8.3-2) unstable; urgency=low

  * Add debian/not-installed file.
  * Specify debhelper-compat (= 13) as Build-Deponds, and remove the
    debian/compat file.
  * Upgrade debian/watch file to version 4.
  * Drop Build-Depends on cdbs.
  * Do not duplicate named field Section: math inherited from source package
    ginac in installation package ginac-tools.

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 22 Apr 2022 12:22:13 +0200

ginac (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Wed, 23 Mar 2022 22:19:43 +0100
