=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
-Build-Depends: cdbs (>= 0.4.28), debhelper (>= 9), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
-Standards-Version: 4.6.0.1
+Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
+Standards-Version: 4.6.0
 Homepage: http://www.ginac.de/
 
 Package: libginac11
@@ -34,7 +34,6 @@
 
 Package: ginac-tools
 Architecture: any
-Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: doc-base
 Description: GiNaC symbolic framework support tools
