## ginac 1.8.4

=== debian/changelog ===
ginac (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Mon, 19 Sep 2022 10:48:58 +0200
