## ginac 1.8.5

=== debian/changelog ===
ginac (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sun, 01 Jan 2023 14:59:51 +0100
