=== debian/changelog ===
ginac (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Wed, 08 Feb 2023 22:51:12 +0100
