=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
 Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.ginac.de/
 
 Package: libginac11
