## ginac 1.8.7

=== debian/changelog ===
ginac (1.8.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:47:17 +0000

ginac (1.8.7-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:39 +0100

ginac (1.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@debian.org>  Sat, 12 Aug 2023 18:23:47 +0100
