=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ginac
 Section: math
 Priority: optional
-Maintainer: Richard Kreckel <kreckel@ginac.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Richard Kreckel <kreckel@ginac.de>
 Build-Depends: debhelper-compat (= 13), libcln-dev, libgmp-dev, libreadline-dev, pkg-config (>= 0.18) | pkgconf, python3:any, texinfo
 Standards-Version: 4.6.2
 Homepage: http://www.ginac.de/
